unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, xmldom, XMLIntf, StdCtrls, Buttons, msxmldom, XMLDoc,
  IdBaseComponent, IdComponent, IdTCPConnection, IdTCPClient, IdHTTP,
  ExtCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    memoHTML: TMemo;
    GroupBox3: TGroupBox;
    mePostData: TMemo;
    HTTP: TIdHTTP;
    GroupBox4: TGroupBox;
    Label2: TLabel;
    Label3: TLabel;
    edCPF: TEdit;
    edSenha: TEdit;
    GroupBox5: TGroupBox;
    Label8: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    btnGo: TBitBtn;
    BitBtn1: TBitBtn;
    Label12: TLabel;
    Panel1: TPanel;
    Label9: TLabel;
    GroupBox1: TGroupBox;
    Label4: TLabel;
    Label5: TLabel;
    edUsername: TEdit;
    edPassword: TEdit;
    GroupBox2: TGroupBox;
    Label6: TLabel;
    Label7: TLabel;
    edProxyServer: TEdit;
    edProxyPort: TEdit;
    cbURL: TEdit;
    edContentType: TEdit;
    Label1: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    procedure btnGoClick(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.btnGoClick(Sender: TObject);
var
 Source: TMemoryStream;
 Response: TStringStream;
begin
 // Add the URL to the combo-box.
 Screen.Cursor := crHourGlass;
 btnGo.Enabled := False;

 try
  memoHTML.Clear;

  // Set the properties for HTTP
  HTTP.Request.Username    := edUsername.Text;
  HTTP.Request.Password    := edPassword.Text;
  HTTP.Request.ProxyServer := edProxyServer.Text;
  HTTP.Request.ProxyPort   := StrToIntDef(edProxyPort.Text, 80);
  HTTP.Request.ContentType := edContentType.Text;

  Response := TStringStream.Create('');

  try
   HTTP.Post(cbURL.Text, mePostData.Lines, Response);
   memoHTML.Lines.Text := Response.DataString;
  finally
   Response.Free;
  end;
 finally
  Screen.Cursor := crDefault;
  btnGo.Enabled := True;
 end;
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
var
 sl: TStringList;
 xmlDoc: TXMLDocument;
 iPARAMETROS: IXMLNode;
begin
 xmlDoc := TXMLDocument.Create(nil) ;

 try
  xmlDoc.Active := true;

  iPARAMETROS := xmlDoc.AddChild('PARAMETROS') ;
  //iNode.Attributes['atributo_01'] := 'valor 01';

  iPARAMETROS.AddChild('CPF').Text        := edCPF.Text;
  iPARAMETROS.AddChild('SENHA').Text      := edSENHA.Text;
  iPARAMETROS.AddChild('IE').Text         := edit1.Text;
  iPARAMETROS.AddChild('CNPJ').Text       := edit2.Text;
  iPARAMETROS.AddChild('CPFTITULAR').Text := edit3.Text;

  sl := TStringList.Create;
  try
    sl.Assign(xmlDoc.XML) ;

    //sl.Insert(0,'<!DOCTYPE ns:mys SYSTEM "myXML.dtd">') ;
    //sl.Insert(0,'<?xml version="1.0"?>') ;

    sl.SaveToFile('c:\Consulta_Contribuinte.xml') ;
  finally
    sl.Free;
  end;
 finally
   mePostData.Lines := xmlDoc.XML;

   xmlDoc := nil;
 end;
end;

end.
